Subject: Re: [PATCH v4 net-next 2/6] cache: enforce cache groups

From: Jakub Kicinski <[email-masked]>
Date: Thu, 26 Oct 2023 07:17:01 -0700

On Thu, 26 Oct 2023 08:19:55 +0000 Coco Li wrote:
> Set up build time warnings to safegaurd against future header changes
> of organized structs.

TBH I had some doubts about the value of these asserts, I thought
it was just me but I was talking to Vadim F and he brought up 
the same question.

IIUC these markings will protect us from people moving the members
out of the cache lines. Does that actually happen?

It'd be less typing to assert the _size_ of each group, which protects
from both moving out, and adding stuff haphazardly, which I'd guess is
more common. Perhaps we should do that in addition?